Loading...
Searching...
No Matches
Other
libavutil

## Modules

| Preprocessor String Macros
| String manipulation macros.
| Library Version Macros
| Useful to check and match library version in order to maintain backward compatibility.
| Constants
| Image related
| AVPicture types, pixel formats and basic image planes manipulation.
| Version and Build diagnostics
| Macros and function useful to check at compiletime and at runtime which version of libavutil is in use.
| Media Type
| Media Type.

## Macros

#define | av_int_list_length(list, term) av_int_list_length_for_size(sizeof(*(list)), list, term)
| Compute the length of an integer list.
#define | AV_FOURCC_MAX_STRING_SIZE 32
#define | av_fourcc2str(fourcc) av_fourcc_make_string((char[AV_FOURCC_MAX_STRING_SIZE]){0}, fourcc)

## Enumerations

enum | AVMediaType { AVMEDIA_TYPE_UNKNOWN = -1 , AVMEDIA_TYPE_VIDEO , AVMEDIA_TYPE_AUDIO , AVMEDIA_TYPE_DATA , AVMEDIA_TYPE_SUBTITLE , AVMEDIA_TYPE_ATTACHMENT , AVMEDIA_TYPE_NB }

## Functions

const char * | av_get_media_type_string (enum AVMediaType media_type)
| Return a string describing the media_type enum, NULL if media_type is unknown.
static void * | av_x_if_null (const void *p, const void *x)
| Return x default pointer in case p is NULL.
unsigned | av_int_list_length_for_size (unsigned elsize, const void *list, uint64_t term) av_pure
| Compute the length of an integer list.
AVRational | av_get_time_base_q (void)
| Return the fractional representation of the internal time base.
char * | av_fourcc_make_string (char *buf, uint32_t fourcc)
| Fill the provided buffer with a string containing a FourCC (four-character code) representation.

## Detailed Description

## Macro Definition Documentation

## av_int_list_length

#define av_int_list_length | ( |  | list,
|  |  | term
| ) |  | av_int_list_length_for_size(sizeof(*(list)), list, term)

Compute the length of an integer list.

Parameters

  term | list terminator (usually 0 or -1)
  list | pointer to the list

Returns
  length of the list, in elements, not counting the terminator

Definition at line 335 of file avutil.h.

## AV_FOURCC_MAX_STRING_SIZE

#define AV_FOURCC_MAX_STRING_SIZE 32

Definition at line 343 of file avutil.h.

## av_fourcc2str

#define av_fourcc2str | ( |  | fourcc | ) | av_fourcc_make_string((char[AV_FOURCC_MAX_STRING_SIZE]){0}, fourcc)

Definition at line 345 of file avutil.h.

## Enumeration Type Documentation

## AVMediaType

enum AVMediaType

Enumerator
AVMEDIA_TYPE_UNKNOWN | Usually treated as AVMEDIA_TYPE_DATA.
AVMEDIA_TYPE_VIDEO |
AVMEDIA_TYPE_AUDIO |
AVMEDIA_TYPE_DATA | Opaque data information usually continuous.
AVMEDIA_TYPE_SUBTITLE |
AVMEDIA_TYPE_ATTACHMENT | Opaque data information usually sparse.
AVMEDIA_TYPE_NB |

Definition at line 199 of file avutil.h.

## Function Documentation

## av_get_media_type_string()

const char * av_get_media_type_string | ( | enum AVMediaType | media_type | ) |

Return a string describing the media_type enum, NULL if media_type is unknown.

Examples
  demux_decode.c, and extract_mvs.c.

Referenced by open_codec_context(), and open_codec_context().

## av_x_if_null()

static void * av_x_if_null | ( | const void * | p,
|  | const void * | x
| ) |  |

inline static

Return x default pointer in case p is NULL.

Examples
  decode_filter_audio.c.

Definition at line 312 of file avutil.h.

Referenced by init_filters().

## av_int_list_length_for_size()

unsigned av_int_list_length_for_size | ( | unsigned | elsize,
|  | const void * | list,
|  | uint64_t | term
| ) |  |

Compute the length of an integer list.

Parameters

  elsize | size in bytes of each list element (only 1, 2, 4 or 8)
  term | list terminator (usually 0 or -1)
  list | pointer to the list

Returns
  length of the list, in elements, not counting the terminator

## av_get_time_base_q()

AVRational av_get_time_base_q | ( | void |  | ) |

Return the fractional representation of the internal time base.

## av_fourcc_make_string()

char * av_fourcc_make_string | ( | char * | buf,
|  | uint32_t | fourcc
| ) |  |

Fill the provided buffer with a string containing a FourCC (four-character code) representation.

Parameters

  buf | a buffer with size in bytes of at least AV_FOURCC_MAX_STRING_SIZE
  fourcc | the fourcc to represent

Returns
  the buffer in input